


/* Contenedor */
.app-sidebar {
    background-color: var(--bg-sidebar) !important;
    width: 200px !important;
    top:30px;
    display: flex;
    flex-direction: column; 
}
.menu ul {
    margin: 0;
    padding: 0;
}
.menu-link{
    color: #fff !important;
    font-size:16px;
}

.menu-item:hover {
    background-color: #000;
}
.active-sidebar {
    background-color: #000;
}
    .app-sidebar-content {
        /* Para Firefox */
        scrollbar-width: none;
        /* Para Internet Explorer y Edge antiguo */
        -ms-overflow-style: none;
        /* Para Chrome, Safari y Edge moderno */
        overflow-y: auto;
        overflow-x: hidden;
    }

        .app-sidebar-content::-webkit-scrollbar {
            display: none; /* Esto oculta la barra en Chrome/Edge/Safari */
        }


/*sUBMENU DELEGACIONES*/

/* Hover sutil solo en el label */
.menu-submenu .form-check-label:hover {
    color: white !important;
    transition: color 0.2s ease;
}


.app-sidebar .menu .menu-item .menu-submenu {
    background: transparent !important;
}

.app-sidebar .menu .menu-item:hover .menu-submenu {
    background: transparent !important;
}




/* Nombre de la delegación */
.lbl {
    color: #000000 !important; 
    font-size: 14px !important; 
    font-weight: 600 !important; 
    cursor: pointer;
    vertical-align: middle;
}

.lbl:hover{
    color:white !important;
}

/* Checkbox */
.chk-sidebar {
    cursor: pointer;
    border: 1px solid rgba(0,0,0,0.2) !important;
}

/* Icono del cronómetro (Reloj) */
.btn-cronometro {
    color: #FFFFFF !important; 
    font-size: 1rem !important; 
    text-decoration: none;
    transition: all 0.2s ease;
}

    /* Efecto al pasar el ratón por el reloj */
    .btn-cronometro:hover {
        color: var(--azul-color-admin) !important; 
        transform: scale(1.15); 
    }

/* Ajuste de alineación para el submenú */
.menu-submenu .list-unstyled {
    padding-left: 0px !important;
}

.app-sidebar .menu .menu-item .menu-submenu:hover {
    background-color: var(--bg-sidebar) !important;
}


/* --- RESET TOTAL DEL SUBMENÚ PARA QUE NO SE PONGA NEGRO --- */

/* Forzar que el fondo sea SIEMPRE el gris sidebar, incluso al pasar el ratón por el padre */
.app-sidebar .menu .menu-item.has-sub:hover > .submenu-limpio,
.app-sidebar .menu .menu-item:hover > .submenu-limpio,
.submenu-limpio:hover,
.submenu-limpio {
    background-color: var(--bg-sidebar) !important; 
    background: var(--bg-sidebar) !important;
    box-shadow: none !important;
}

/* Estilos de la fila de cada delegación */
.delegacion-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 20px 5px 0px;
    background: transparent !important; /* Que no herede fondos */
}

    /* Evitar que al pasar el ratón por la fila se ponga negro */
    .delegacion-row:hover {
        background: transparent !important;
    }






